Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003717TestLinkReportspublic2010-08-26 20:442010-10-09 08:02
Reporterhowea 
Assigned ToJulian 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9 Beta 5 
Fixed in Version1.9 RC 1 
Summary0003717: Requirements based report is incomplete
DescriptionThe Requirements Based Report in the current CVS version of Testlink(August 26, 2010) does not show which test cases cause a requirement to fail/block/pass. Before the requirements rewrite, the requirements based report had this information.
Steps To Reproduce1) Create a requirement, test case, test plan and build.
2) Associate the requirement with the test case.
3) Add the test case to the test plan.
4) Execute the test.
5) View the requirements based report.
TagsNo tags attached.
Database (MySQL,Postgres,etc)mysql
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships

-  Notes
(0010961)
Julian (reporter)
2010-08-26 21:20

this would require a popup that is linked in this report.
Popup could show linked test cases and their latest result.

Andreas what do you think ? Do you have the time to extend requirement based report ?
(0010962)
howea (reporter)
2010-08-26 21:39

A popup is is less than ideal. It would make it impossible to get all of the information in one place and require more mouse clicks.

Would it be possible to have the test cases (and statuses) listed underneath each requirement? Maybe with an option to either show the test cases or not.
(0011237)
Julian (reporter)
2010-09-02 14:30

i will add another column with the requested information that is hidden by default.
(0011840)
fman (administrator)
2010-10-09 08:02

Release 1.9 RC1

- Issue History
Date Modified Username Field Change
2010-08-26 20:44 howea New Issue
2010-08-26 21:20 Julian Note Added: 0010961
2010-08-26 21:39 howea Note Added: 0010962
2010-09-02 14:29 Julian Assigned To => Julian
2010-09-02 14:29 Julian Status new => assigned
2010-09-02 14:30 Julian Note Added: 0011237
2010-09-02 14:30 Julian Status assigned => work in progress
2010-09-02 15:11 Julian Status work in progress => assigned
2010-09-02 15:12 Julian Status assigned => resolved
2010-09-02 15:12 Julian Fixed in Version => 1.9 RC 1
2010-09-02 15:12 Julian Resolution open => fixed
2010-10-09 08:02 fman Note Added: 0011840
2010-10-09 08:02 fman Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker